%define anolis_release 1
%global pypi_name fasttext
%global pypi_version 0.9.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        fasttext Python bindings

License:        MIT
URL:            https://github.com/facebookresearch/fastText
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pybind11) >= 2.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools) >= 0.7

%description
fastText is a library for efficient learning of word representations and 
sentence classification.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(numpy)
Requires:       python3dist(pybind11) >= 2.2
Requires:       python3dist(setuptools) >= 0.7
%description -n python3-%{pypi_name}
fastText is a library for efficient learning of word representations and 
sentence classification.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md python/README.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/fasttext_pybind.cpython*.so
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.9.2-1
- Initial package.